# Uses of Interface
org.fressian.handlers.WriteHandler

Packages that use WriteHandler
Package
Description
org.fressian
org.fressian.handlers
org.fressian.impl

## Uses of WriteHandler in org.fressian

Constructor parameters in org.fressian with type arguments of type WriteHandler
Modifier
Constructor
Description
``
`FressianWriter(OutputStream out, ILookup<Class, Map<String, WriteHandler>> userHandlers)`
Create a writer that combines userHandlers with the normal type handlers built into Fressian.

## Uses of WriteHandler in org.fressian.handlers

Methods in org.fressian.handlers that return WriteHandler
Modifier and Type
Method
Description
`WriteHandler`
IWriteHandlerLookup.`getWriteHandler(String k1, Object k2)`
`WriteHandler`
WriteHandlerLookup.`getWriteHandler(String tag, Object o)`
`WriteHandler`
IWriteHandlerLookup.`requireWriteHandler(String tag, Object unwrapped)`
`WriteHandler`
WriteHandlerLookup.`requireWriteHandler(String tag, Object o)`
Methods in org.fressian.handlers that return types with arguments of type WriteHandler
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
WriteHandlerLookup.`createLookupChain(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
Method parameters in org.fressian.handlers with type arguments of type WriteHandler
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
WriteHandlerLookup.`createLookupChain(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
Constructor parameters in org.fressian.handlers with type arguments of type WriteHandler
Modifier
Constructor
Description
``
`WriteHandlerLookup(ILookup<Class, Map<String, WriteHandler>> userHandlers)`

## Uses of WriteHandler in org.fressian.impl

Fields in org.fressian.impl with type parameters of type WriteHandler
Modifier and Type
Field
Description
`static final ILookup<Class, Map<String, WriteHandler>>`
Handlers.`coreWriteHandlers`
`static final ILookup<Class, Map<String, WriteHandler>>`
Handlers.`extendedWriteHandlers`
Methods in org.fressian.impl that return types with arguments of type WriteHandler
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
Handlers.`customWriteHandlers(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
`static ILookup<Class, Map<String, WriteHandler>>`
Handlers.`defaultWriteHandlers()`
`static Map<Class, Map<String, WriteHandler>>`
Handlers.`installHandler(Map<Class, Map<String, WriteHandler>> map, Class cls, String tag, WriteHandler handler)`
Methods in org.fressian.impl with parameters of type WriteHandler
Modifier and Type
Method
Description
`static Map<Class, Map<String, WriteHandler>>`
Handlers.`installHandler(Map<Class, Map<String, WriteHandler>> map, Class cls, String tag, WriteHandler handler)`
Method parameters in org.fressian.impl with type arguments of type WriteHandler
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
Handlers.`customWriteHandlers(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
`static Map<Class, Map<String, WriteHandler>>`
Handlers.`installHandler(Map<Class, Map<String, WriteHandler>> map, Class cls, String tag, WriteHandler handler)`